Subject: [Rtg-yang-coord] Some received comments on draft-liu-rtgwg-ipipv4-tunnel-yang-00

From: Mandy Liu <[email-masked]>
Date: Tue, 7 Jul 2015 09:00:10 +0000

Hi  Walker,

For 1, the reason why I define different types of tunnel in different lists because I would like to make them more loose couple, and more easier to be managed. Could you elaborate the single list idea by an example? I want to have a better understanding on it.

For 2,  the empty type represents a leaf that does not have any value, it conveys information by its presence or absence. It won’t impact the get-config. If is exists, when NETCONF client executes the get-config, it can be retrieved and shown. If it doesn’t exist, when NETCONF client executes the get-config it won’t be retrieved and shown.

Thanks,
Mandy

From: Zhengguangying [mailto:[email-masked]]
Sent: Monday, July 06, 2015 10:24 AM
To: Mandy Liu; Xufeng Liu
Cc: lizhenbin 00147097; Yangang; Liubing (Leo)

Hi Mandy,

     After review your draft of https://tools.ietf.org/html/draft-liu-rtgwg-ipipv4-tunnel-yang-00?, I have come comments, please check and share your opinion.

1.For different type of tunnels, it should be define as separated  list or just define single list but use “choice ” to define the different “peer-end-point”?
I think it’s better to define as single list with one choice for “peer-end-point”,  by this way, we can extend other type of tunnel with new choice case .
2.for the following two attributes, if we just define the type as empty, how to presents the attributes when use Netconf get-config ?

leaf clear-df {
         type empty;
         description
           "Clears the IP header Don't Fragment (DF) flag
           in all packets that are transmitted on a tunnel.";
       }
       leaf shutdown {
         type empty;
         description
           "Disable/enable the tunnel.";

Regards
Walker
________________________________
路在脚下，Walker
[Company_logo]业务支撑部 Business Support Dept
地址：南京市雨花区软件大道101号 邮编：210012
Huawei Nanjing R&D Center, 101 Software Avenue, Yuhua District, Nanjing, Jiangsu,
P.R.China. 210012
http://www.huawei.com